Name:           python-quorum
Version:        0.8.4
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Quorum Extensions for Flask

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            http://flask-quorum.hive.pt
Source:         %{pypi_source quorum}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'quorum' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-quorum
Summary:        %{summary}

%description -n python3-quorum %_description


%prep
%autosetup -p1 -n quorum-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-quorum -f %{pyproject_files}


%changelog
%autochangelog